Get OrchestratorModuleRuntime by ID
curl --request GET \
--url https://platform.kodexa.ai/api/module-runtimes/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/module-runtimes/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/module-runtimes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleted": true,
"deprecated": true,
"id": "<string>",
"metadata": {
"containerUrl": "<string>",
"deploymentDefaults": "<unknown>",
"deploymentType": "<string>",
"eventAction": "<string>",
"inferenceAction": "<string>",
"trainingAction": "<string>",
"type": "<string>"
},
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"slug": "<string>",
"template": true,
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"configMapName": "<string>",
"configMapResourceVersion": "<string>",
"cpuMillicores": 123,
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"dockerImageUri": "<string>",
"environmentVars": null,
"ephemeralStorageMb": 123,
"errorMessage": "<string>",
"executionType": "<string>",
"extensionPackRef": "<string>",
"lambdaArn": "<string>",
"lambdaFunctionName": "<string>",
"memoryMb": 123,
"orgSlug": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"provisionedAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"resultQueueUrl": "<string>",
"status": "<string>",
"timeoutSeconds": 123,
"type": "<string>",
"uri": "<string>",
"yamlSource": "<string>"
}Module Runtimes
Get OrchestratorModuleRuntime by ID
Retrieves a single OrchestratorModuleRuntime by its unique identifier. Module runtimes define processing environments for modules.
GET
/
api
/
module-runtimes
/
{id}
Get OrchestratorModuleRuntime by ID
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The OrchestratorModuleRuntime
An orchestrator module runtime defines a processing environment for orchestrator modules.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Computed resource URI (scheme://orgSlug/slug), present on serialized responses.
